## net.sf.saxon.s9api
Enum OccurrenceIndicator

    java.lang.Object
      java.lang.Enum<OccurrenceIndicator>
          net.sf.saxon.s9api.OccurrenceIndicator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OccurrenceIndicator>

    public enum OccurrenceIndicator

extends java.lang.Enum<OccurrenceIndicator>

Represents one of the possible occurrence indicators in a SequenceType. The four standard values are ONE (no occurrence indicator), ZERO_OR_ONE (?), ZERO_OR_MORE (*), ONE_OR_MORE (+). In addition the value ZERO is supported, this is used only in the type empty-sequence() which matches an empty sequence and nothing else.

Enum Constant Summary
`ONE`
`ONE_OR_MORE`
`ZERO`
`ZERO_OR_MORE`
`ZERO_OR_ONE`

Method Summary
`protected int` `getCardinality()`
`protected static OccurrenceIndicator` `getOccurrenceIndicator(int cardinality)`
`boolean` `subsumes(OccurrenceIndicator other)` Determine whether one occurrence indicator subsumes another.
`static OccurrenceIndicator` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OccurrenceIndicator[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ZERO

    public static final OccurrenceIndicator ZERO

### ZERO_OR_ONE

    public static final OccurrenceIndicator ZERO_OR_ONE

### ZERO_OR_MORE

    public static final OccurrenceIndicator ZERO_OR_MORE

### ONE

    public static final OccurrenceIndicator ONE

### ONE_OR_MORE

    public static final OccurrenceIndicator ONE_OR_MORE

Method Detail

### values

    public static final OccurrenceIndicator[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(OccurrenceIndicator c : OccurrenceIndicator.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static OccurrenceIndicator valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getCardinality

    protected int getCardinality()

### getOccurrenceIndicator

    protected static OccurrenceIndicator getOccurrenceIndicator(int cardinality)

### subsumes

    public boolean subsumes(OccurrenceIndicator other)

  Determine whether one occurrence indicator subsumes another. Specifically, `A.subsumes(B)` is true if every sequence that satisfies the occurrence indicator B also satisfies the occurrence indicator A.

  Parameters:
    `other` - The other occurrence indicator
  Returns:
    true if this occurrence indicator subsumes the other occurrence indicator
  Since:
    9.1

Copyright (c) Saxonica Limited. All rights reserved.